cURL
curl --request POST \
--url https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota \
--header 'Content-Type: text/plain' \
--header 'Oauth-Token: <api-key>' \
--data '<JSON example>'import requests
url = "https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota"
payload = "<JSON example>"
headers = {
"Oauth-Token": "<api-key>",
"Content-Type": "text/plain"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Oauth-Token': '<api-key>', 'Content-Type': 'text/plain'},
body: '<JSON example>'
};
fetch('https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Transactions API
Transactions API
This endpoint requires an Oauth-Token obtained from /oauth2
POST
/
index.php
/
api
/
dakota
cURL
How to Use
- Copy any of the JSON examples below.
- Go to the API playground by clicking on the โTry itโ button.
- Paste the JSON into the request body field.
- Click โSendโ button to execute the request.
Examples
Count Transaction Records
{
"module": "transaction__c",
"count_only": true
}
List All Transactions
{
"module": "transaction__c"
}
List Transactions with Specific Fields
{
"module": "transaction__c",
"filters": {
"fields": [
"sfid",
"name",
"portfolio_company__c",
"status__c",
"type__c",
"sub_type__c",
"date__c",
"createddate",
"lastmodifieddate"
],
"order_by": "lastmodifieddate:DESC",
"max_num": "10"
}
}
Filter by Status
{
"module": "transaction__c",
"filters": {
"filter": [
{
"status__c": {
"$equals": "Closed"
}
}
]
}
}
Filter by Date Range (lastmodifieddate)
{
"module": "transaction__c",
"filters": {
"filter": [
{
"lastmodifieddate": {
"$between": ["2026-03-01", "2026-03-31"]
}
}
],
"fields": ["sfid", "name", "status__c", "lastmodifieddate", "type__c"]
}
}
Filter by Portfolio Company
{
"module": "transaction__c",
"filters": {
"filter": [
{
"portfolio_company__c": {
"$equals": "001PY00000iOoMYYA0"
}
}
]
}
}
Authorizations
Get the OAuth token by calling the /oauth2 authentication API. Use the access_token from the response to authorize your API requests.
Body
text/plain
Copy any of the JSON examples and paste it into the request body field.

